Bug 588018 - Missing Unmount in media icon menu
Missing Unmount in media icon menu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 04:23 EDT by jean-filip tripcevic
Modified: 2015-03-03 17:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of menu (1.13 MB, image/png)
2010-05-04 09:37 EDT, jean-filip tripcevic
no flags Details
udisk dump (28.79 KB, text/plain)
2010-05-04 09:41 EDT, jean-filip tripcevic
no flags Details

  None (edit)
Description jean-filip tripcevic 2010-05-02 04:23:02 EDT
Description of problem:
Latest nautilus update removes unmount menu entry when showing Eject/safe removal.
Unfortunately on internal drive mounts there are no entries displayed to choose
from so one would need to use the CLI to unmount. There should be an unmount
option for these types of mounts.

Version-Release number of selected component (if applicable):

2.30.1-2
How reproducible:
Every time

Steps to Reproduce:
1.Mont internal drive
2.Right mouse click on mounted drive icon
3.
  
Actual results:
No Unmount/Eject/Safe removal options displayed

Expected results:

Unmount and or Safe removal

Additional info:
I don't believe that "geeks" are the only ones to mount internal drives. When
media is mounted and an icon is displayed the option to unmount it via the file
manager should be available (the gnome disk mount applet does give the use the
option to unmount).
Comments in patch file:
Having three menu entries (unmount/eject/safe removal) in a volume/drive menu
entry is too confusing. Unmount only really makes sense for internal drives,
for external ones it is pretty much a "geek" option. Geeks can use palimpsest
or "unmount /media/foo" from the CLI if they really want to, for everyone else
it is just an unintuitive and hard to to explain menu entry.
Comment 1 jean-filip tripcevic 2010-05-02 07:19:49 EDT
I neglected to mention that this only fails on mounted internal drive with
Logical volume. On DOS or Linux FS mounts the Unmount menu entry is OK
Comment 2 Tomáš Bžatek 2010-05-04 09:11:48 EDT
What do you mean by 'internal drive with Logical volume'? What filesystem is on it? Can you please make a screenshot of the menu? Please also attach output of `udisks --dump`.
Comment 3 jean-filip tripcevic 2010-05-04 09:37:05 EDT
Created attachment 411297 [details]
screenshot of menu
Comment 4 jean-filip tripcevic 2010-05-04 09:41:54 EDT
Created attachment 411298 [details]
udisk dump
Comment 5 jean-filip tripcevic 2010-05-04 09:43:14 EDT
(In reply to comment #2)
> What do you mean by 'internal drive with Logical volume'? What filesystem is on
> it? Can you please make a screenshot of the menu? Please also attach output of
> `udisks --dump`.    

I have 2 internal disk drives. A 17GB with F13 and a 79GB with F12. I'm mounting
the 79GB. Here's a DF command output:
/dev/mapper/vg_ideq-lv_root
                      75650160  10200136  61607160  15% /media/46c5112b-00aa-4bc6-a5d4-55a7ff86c6d4
Comment 6 Armijn Hemel 2010-06-12 17:16:30 EDT
The unmount option is also missing for DVDs. I can only eject a DVD, but not unmount it, or safely remove it. Xine does not perform well (or better: it crawls) if the DVD is mounted at the same time xine tries to read the DVD.
Comment 7 Bug Zapper 2011-06-02 10:37:27 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 12:01:29 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.